
Redmine - Defect #4838

Error while creating news issues

2010-02-14 01:32 - Łukasz Rżanek

Status: Closed Start date: 2010-02-14

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.3   

Resolution: Fixed Affected version:  

Description

When creating a new issue to any project in Redmine, an error occurs:

Processing IssuesController#new (for 83.24.129.86 at 2010-02-14 01:23:02) [POST]

Parameters: {"commit"=>"Stwórz", "project_id"=>"jggapi-ng", "action"=>"new",

"authenticity_token"=>"VSHgLnr3ZTtHzxP3k1aoOY4sHGoKfNyvyJbgBZIUN7A=", "issue"=>{"start_date"=>"2010-02-12",

"estimated_hours"=>"", "priority_id"=>"13", "fixed_version_id"=>"10", "done_ratio"=>"50", "assigned_to_id"=>"3", "subject"=>"NPEs",

"category_id"=>"11", "tracker_id"=>"1", "due_date"=>"2010-02-16", "status_id"=>"1", "description"=>""}, "controller"=>"issues",

"attachments"=>{"1"=>{"description"=>""}}}

SystemStackError (stack level too deep):

app/models/issue.rb:146:in `tracker_id='

app/models/issue.rb:158:in `attributes_without_tracker_first='

app/models/issue.rb:160:in `send'

  repeated couple hundred of times!!

app/controllers/issues_controller.rb:138:in `new'

/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:400:in `start_request_handler'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:351:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:349:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:209:in `start'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /home/radical/projects/public/500.html (500 Internal Server Error)

Associated revisions

Revision 3427 - 2010-02-14 13:43 - Jean-Philippe Lang

Fixed: SystemStackError (stack level too deep) on Issue#attributes= after model reload (#4838).

History

#1 - 2010-02-14 01:36 - Łukasz Rżanek

Version running: Redmine 0.9.2.devel

2025-05-01 1/2

https://www.redmine.org/projects/redmine/wiki/_repeated_couple_hundred_of_times!!


List of plugins:

ezFAQ plugin

Global filter plugin

Google Analytics plugin

Redmine Question plugin

Charts Plugin

Redmine Graphs plugin

Issue Due Date Plugin

Redmine Issues Group plugin

Redmine Local Avatars plugin

Mylyn Connector plugin

Redmine Newissuealerts plugin

Redmine Vote plugin

Stuff To Do Plugin

#2 - 2010-02-14 13:46 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.3

- Resolution set to Fixed

I was only able to reproduce from the console after reloading the Issue model. This behaviour might come from a plugin.

Anyway, this should be fixed by r3427.

#3 - 2010-02-14 17:00 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3433.
